/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/string.hpp>
#include <ox/model/def.hpp>

namespace studio {

struct FileRef {
	static constexpr auto TypeName = "net.drinkingtea.studio.FileRef";
	static constexpr auto TypeVersion = 1;
	ox::String path;
	bool isDir{};
};

OX_MODEL_BEGIN(FileRef)
	OX_MODEL_FIELD(path)
	OX_MODEL_FIELD(isDir)
OX_MODEL_END()

}
